Subject: Re: [nfsv4] Asking for details about OPEN_DOWNGRADE

From: Rick Macklem <[email-masked]>
Date: Wed, 25 Jun 2008 17:10:15 -0400 (EDT)

[Benny Halevy wrote]
Re: It could be a script... (sorry, I deleted the message before deciding
     to reply:-)

Indirectly, a good point. What granularity the client implementor uses for
open_owner4 names is relevant. I use the granularity of a POSIX process,
so the only time an Open_Downgrade might occur is when the same process
has opened the file multiple times before doing the close. I don't think 
this is going to be the case for editting scripts. (Seems more likely to
be Open->Close, Open->Close...to me?)

However, if a client uses a coarser granularity for open_owner4, then
Open_Downgrades become more important to do for Bruce's ETXTBSY case.

rick

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/nfsv4